%define subrel	1

Name:		me-tv
Version:	1.3.6
Release:	%mkrel 4
Summary:	GNOME desktop application for watching digital television
Group:		Video
License:	GPLv3
URL:		https://launchpad.net/me-tv
Source0:	http://launchpad.net/me-tv/stable/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		me-tv-mga-fix-database-init.patch
# upstream patch, see https://bugs.mageia.org/show_bug.cgi?id=6896#c0
Patch1:         me-tv-sqlite-fix.patch
BuildRequires:	sqlite3-devel
BuildRequires:	libgnomemm2.6-devel
BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	libxine-devel
BuildRequires:	libgnet2-devel
BuildRequires:	gconfmm2.6-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	unique-devel
Requires:	xine-ui
Requires:	dvb-apps

%description
Me TV is a GNOME desktop application for watching digital television
services that use the DVB standard. Me TV works with DVB-T, DVB-C,
DVB-S and ATSC cards that have kernel driver support. Me TV reads the
Electronic Program Guide (EPG) data that is transmitted over the air
to populate a built-in program guide which can be used for scheduling
recordings. 

%prep
%setup -q
%patch0 -p1 -b .fix-database-init
%patch1 -b .fix-sqlite

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#fix desktop file
desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
	--add-category="Video" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc README ChangeLog AUTHORS 
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*


%changelog

* Sun Aug 12 2012 doktor5000 <doktor5000> 1.3.6-4.1.mga2
+ Revision: 280814
- added a patch to fix me-tv sqlite usage to decrease extreme I/O load
  which makes me-tv unusable or makes it freeze during EPG updates (mga#6896)
- fix database init problem, backported patch from me-tv 1.3.7

* Wed Apr 04 2012 doktor5000 <doktor5000> 1.3.6-3.mga2
+ Revision: 228522
-rebuild

* Mon Jul 04 2011 wally <wally> 1.3.6-2.mga2
+ Revision: 118288
- require dvb-apps for having templates to ease
  scanning available DVB channels (mga#2020)

* Tue Mar 22 2011 wally <wally> 1.3.6-1.mga1
+ Revision: 75512
- fix group
- use mkrel
- reline description
- fix BRs
- fix desktop file
- drop buildroot definition
- clean .spec
- imported package me-tv


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.3.6-1
- update to 1.3.6

* Sun Aug 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.3.2-1
- update to me-tv 1.3.2

* Sat Jun 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.2.6-1
- me-tv 1.2.6

* Mon May 31 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.2.4-1
- me-tv 1.2.4

* Fri Jan 22 2010 Zarko <zarko.pintar@gmail.com> - 1.1.6-1
- new release

* Tue Jan 12 2010 Zarko <zarko.pintar@gmail.com> - 1.1.3-1
- new release

* Wed Sep 16 2009 Zarko <zarko.pintar@gmail.com> - 1.0.0-2
- Added patch for resolving duplicate name bug at startup

* Wed Sep 09 2009 Zarko <zarko.pintar@gmail.com> - 1.0.0-1
- new release
- license changed to GPLv3

* Fri Jun 29 2009 Zarko <zarko.pintar@gmail.com> - 0.9.4-1
- new release

* Fri May 22 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-5
- added BR:gail-devel for build resolving on F9

* Sun May 17 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-4
- spec cleaning
- license resolved

* Sun May 17 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-3
- added Requires: xine-ui

* Fri May 15 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-2
- patch for successful compile
- spec cleaning

* Thu May 14 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-1
- initial release
